Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Noyrit2017-05-05 06:07:33 -0400
committerFlorian Noyrit2017-05-09 04:14:26 -0400
commite547eb80614ac6baba8c4ba5b839bed631d39aac (patch)
tree621514227b75f6efdb43f1c0026ade4f4a3484c7 /plugins/facet
parent85dd25671b246b9ee2db9eb87b76e5f754128041 (diff)
downloadorg.eclipse.papyrus-e547eb80614ac6baba8c4ba5b839bed631d39aac.tar.gz
org.eclipse.papyrus-e547eb80614ac6baba8c4ba5b839bed631d39aac.tar.xz
org.eclipse.papyrus-e547eb80614ac6baba8c4ba5b839bed631d39aac.zip
[releng] Update plugin version for Oxygen release
- Update plugin version numbers using Neon.3 as baseline - Add appropriate @since annotations to non-generated code Change-Id: I731bd059466c0caa4b5e0bf0576f0ff5d31f8967
Diffstat (limited to 'plugins/facet')
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.common.core/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.common.core/pom.xml2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/pom.xml2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.common.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/META-INF/MANIFEST.MF4
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/pom.xml2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/src/org/eclipse/papyrus/emf/facet/custom/core/internal/CustomizationsDelegatingList.java16
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.metamodel/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.sdk.core/META-INF/MANIFEST.MF4
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.custom.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.core/META-INF/MANIFEST.MF2
13 files changed, 30 insertions, 14 deletions
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/META-INF/MANIFEST.MF
index e13b9e0eaaf..ca3c23aa8e3 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
com.ibm.icu;bundle-version="54.0.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 1.2.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.emf.facet.common.core.internal.Activator
Bundle-ManifestVersion: 2
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/pom.xml b/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/pom.xml
index 359afc46143..9d8dc92d73c 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/pom.xml
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.common.core/pom.xml
@@ -7,6 +7,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.emf.facet.common.core</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>1.2.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/META-INF/MANIFEST.MF
index 233a77a6baf..0fd0c7ca872 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/META-INF/MANIFEST.MF
@@ -12,7 +12,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.jdt.launching;bundle-version="[3.8.0,4.0.0)"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 1.2.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.emf.facet.common.sdk.core.internal.Activator
Bundle-ManifestVersion: 2
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/pom.xml b/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/pom.xml
index df6c5e74623..6dff3110f5d 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/pom.xml
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.common.sdk.core/pom.xml
@@ -7,6 +7,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.emf.facet.common.sdk.core</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>1.2.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.common.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.common.ui/META-INF/MANIFEST.MF
index 18ae834b6c6..aa513ac84c3 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.common.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.common.ui/META-INF/MANIFEST.MF
@@ -10,7 +10,7 @@ Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.papyrus.emf.facet.util.core;bundle-version="[1.2.0,2.0.0)",
org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.papyrus.emf.facet.common.core;bundle-version="[2.0.0,3.0.0)"
+ org.eclipse.papyrus.emf.facet.common.core;bundle-version="[1.2.0,2.0.0)"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/META-INF/MANIFEST.MF
index 67ea5afe1b8..4624a6962c4 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/META-INF/MANIFEST.MF
@@ -7,13 +7,13 @@ Export-Package: org.eclipse.papyrus.emf.facet.custom.core,
org.eclipse.papyrus.emf.facet.custom.core.internal.query
Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="[1.3.0,2.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.efacet.core;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.util.core;bundle-version="[1.2.0,2.0.0)",
org.eclipse.emf.validation;bundle-version="[1.8.0,2.0.0)"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 2.1.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.emf.facet.custom.core.internal.Activator
Bundle-ManifestVersion: 2
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/pom.xml b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/pom.xml
index 8e6c5638a63..b9ba35a2517 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/pom.xml
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/pom.xml
@@ -7,6 +7,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.emf.facet.custom.core</artifactId>
- <version>2.1.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/src/org/eclipse/papyrus/emf/facet/custom/core/internal/CustomizationsDelegatingList.java b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/src/org/eclipse/papyrus/emf/facet/custom/core/internal/CustomizationsDelegatingList.java
index 9df3c12b6bc..96c8b060226 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/src/org/eclipse/papyrus/emf/facet/custom/core/internal/CustomizationsDelegatingList.java
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.core/src/org/eclipse/papyrus/emf/facet/custom/core/internal/CustomizationsDelegatingList.java
@@ -33,6 +33,9 @@ public class CustomizationsDelegatingList extends BasicEList<Customization> {
this.delegate = delegate;
}
+ /**
+ * @since 3.0
+ */
@Override
protected void didAdd(int index, Customization newObject) {
// Insert at the corresponding location in the delegate
@@ -43,22 +46,34 @@ public class CustomizationsDelegatingList extends BasicEList<Customization> {
delegate.add(index, newObject);
}
+ /**
+ * @since 3.0
+ */
@Override
protected void didSet(int index, Customization newObject, Customization oldObject) {
index = delegate.indexOf(oldObject);
delegate.set(index, newObject);
}
+ /**
+ * @since 3.0
+ */
@Override
protected void didRemove(int index, Customization oldObject) {
delegate.remove(oldObject);
}
+ /**
+ * @since 3.0
+ */
@Override
protected void didClear(int size, Object[] oldObjects) {
delegate.removeAll(Arrays.asList(oldObjects));
}
+ /**
+ * @since 3.0
+ */
@Override
protected void didMove(int index, Customization movedObject, int oldIndex) {
// Move to the corresponding location in the delegate
@@ -80,6 +95,7 @@ public class CustomizationsDelegatingList extends BasicEList<Customization> {
* @param facetSets
* the superset
* @return the subset of customizations
+ * @since 3.0
*/
protected static List<Customization> customizations(List<FacetSet> facetSets) {
return facetSets.stream()
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.metamodel/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.metamodel/META-INF/MANIFEST.MF
index 0849e5a3dbc..8d98bea36fd 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.metamodel/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.metamodel/META-INF/MANIFEST.MF
@@ -22,4 +22,4 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.custom.metamodel;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.sdk.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.sdk.core/META-INF/MANIFEST.MF
index 7a72ca866a3..2c4ef8b4eb5 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.sdk.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.sdk.core/META-INF/MANIFEST.MF
@@ -4,8 +4,8 @@ Export-Package: org.eclipse.papyrus.emf.facet.custom.sdk.core,
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.validation;bundle-version="[1.8.0,2.0.0)",
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[2.1.0,3.0.0)",
- org.eclipse.papyrus.emf.facet.common.sdk.core;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.emf.facet.common.sdk.core;bundle-version="[1.2.0,2.0.0)",
org.eclipse.papyrus.emf.facet.util.pde.core;bundle-version="[1.2.0,2.0.0)"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.ui/META-INF/MANIFEST.MF
index f5514bcd4ed..37d40fd2f23 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.custom.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.custom.ui/META-INF/MANIFEST.MF
@@ -7,7 +7,7 @@ Export-Package: org.eclipse.papyrus.emf.facet.custom.ui,
org.eclipse.papyrus.emf.facet.custom.ui.internal.exported.dialog,
org.eclipse.papyrus.emf.facet.custom.ui.internal.exported.exception,
org.eclipse.papyrus.emf.facet.custom.ui.internal.query
-Require-Bundle: org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[2.1.0,3.0.0)";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.query.java.core;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.util.core;bundle-version="[1.2.0,2.0.0)",
org.eclipse.papyrus.emf.facet.util.ui;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.ui/META-INF/MANIFEST.MF
index 5c19bfcdba6..0fe941e97e7 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.ui/META-INF/MANIFEST.MF
@@ -16,7 +16,7 @@ Require-Bundle: org.eclipse.papyrus.emf.facet.common.ui;bundle-version="[1.2.0,2
org.eclipse.core.expressions;bundle-version="[3.5.0,4.0.0)",
org.eclipse.papyrus.emf.facet.efacet.metamodel;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.util.emf.ui;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[2.1.0,3.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="[3.0.0,4.0.0)",
org.eclipse.papyrus.emf.facet.util.pde.core;bundle-version="[1.2.0,2.0.0)"
Bundle-Vendor: %Bundle-Vendor
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.core/META-INF/MANIFEST.MF
index 830548fffbc..13eb02c70c5 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.core/META-INF/MANIFEST.MF
@@ -17,7 +17,7 @@ Export-Package: org.eclipse.papyrus.emf.facet.util.emf.core,
org.eclipse.papyrus.emf.facet.util.emf.core.serialization.model.serialization.impl;x-internal:=true
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.papyrus.emf.facet.util.emf.catalog;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
- org.eclipse.papyrus.emf.facet.common.core;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.emf.facet.common.core;bundle-version="[1.2.0,2.0.0)",
org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.papyrus.emf.facet.util.pde.core;bundle-version="[1.2.0,2.0.0)"
Bundle-Vendor: %Bundle-Vendor

Back to the top